Enchant Generic spell checking library

Public Member Functions | Public Attributes | List of all members
DictionarySuggest_TestFixture Struct Reference
Inheritance diagram for DictionarySuggest_TestFixture:
[legend]
Collaboration diagram for DictionarySuggest_TestFixture:
[legend]

## Public Member Functions
std::vector< std::string > | GetSuggestionsFromWord (EnchantDict *dict, const std::string &word)
std::vector< std::string > | GetSuggestionsFromWord (const std::string &word)
bool | IsWordAllCaps (const std::string &word)
bool | IsFirstLetterCapitalOrTitleCase (const std::string &word)
Public Member Functions inherited from Provider_TestFixture
std::string | Convert (const std::wstring &ws)
std::wstring | Convert (const std::string &s)
EnchantDict * | GetDefaultDictionary ()
EnchantDict * | GetDictionary (const char *language)
virtual void | ReleaseDictionary (EnchantDict *dict)

## Public Attributes
EnchantDict * | _dict
const char * | _provider_name
std::vector< std::string > | _addedWords
Public Attributes inherited from Provider_TestFixture
EnchantProvider * | _provider

The documentation for this struct was generated from the following file:

- tests/enchant_providers/Dictionary/dictionary_suggest.cpp